package de.hdm_stuttgart.mi.sda1.hashprovider.test;

import org.junit.Assert;
import org.junit.Test;

import de.hdm_stuttgart.mi.sda1.hashprovider.HashProvider;

/**
 */
public class TestDecrypt {

   /**
    */
   @Test
   public void testDecrypt() {
      final String clearText = "Hello!";
      final String saltedHash = HashProvider.getSaltedHash(clearText.toCharArray());
      System.out.println(saltedHash);

      Assert.assertTrue(HashProvider.check(clearText.toCharArray(), saltedHash));
      Assert.assertFalse(HashProvider.check(clearText.toCharArray(), "noDollarSeparatorSign"));
   }
}
